Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Interface SlotWidget

All Superinterfaces:
  Disposable, Plugin, Selectable, Widget

All Known Implementing Classes:
  AbstractListWidget, AbstractSlotWidget, AbstractTableWidget, AbstractTreeWidget, BooleanListWidget, CheckBoxWidget, ClsFieldWidget, ClsListWidget, ComboBoxWidget, ConstraintsWidget, DefaultValuesWidget, DigestedPasswordWidget, DirectDomainWidget, DirectInstancesWidget, DirectTypesWidget, DocumentationWidget, FloatFieldWidget, FloatListWidget, ImageWidget, InstanceFieldWidget, InstanceListWidget, InstanceNameWidget, IntegerFieldWidget, IntegerListWidget, InverseSlotWidget, MaximumCardinalityWidget, MinimumCardinalityWidget, NumberFieldWidget, NumericMaximumWidget, NumericMinimumWidget, PasswordFieldWidget, RoleWidget, SlotValuesWidget, StringListWidget, SubclassWidget, SuperclassWidget, SymbolListWidget, TemplateSlotsWidget, TextAreaWidget, TextComponentWidget, TextFieldWidget, UglySlotWidget, UniqueStringWidget, URLWidget, ValueTypeWidget, YellowStickyWidget

    public interface SlotWidget

extends Widget

Fundamental interface for all slot widgets.

Author:
  Ray Fergerson

Method Summary
`Cls` | `getAssociatedCls()`
`Cls` | `getCls()`
`String` | `getDefaultToolTip()`
`Instance` | `getInstance()`
`Slot` | `getSlot()`
`void` | `setAssociatedCls(Cls associatedCls)`
`void` | `setDefaultToolTip(String tooltip)`
`void` | `setInstance(Instance instance)`
`void` | `setup(WidgetDescriptor descriptor, boolean isDesignTime, Project project, Cls cls, Slot slot)`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`configure, getDescriptor, getKnowledgeBase, getLabel, getProject, initialize, setLabel`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### getCls

    Cls getCls()

### getInstance

    Instance getInstance()

### getSlot

    Slot getSlot()

### getAssociatedCls

    Cls getAssociatedCls()

### setAssociatedCls

    void setAssociatedCls(Cls associatedCls)

### setInstance

    void setInstance(Instance instance)

### getDefaultToolTip

    String getDefaultToolTip()

### setDefaultToolTip

    void setDefaultToolTip(String tooltip)

### setup

    void setup(WidgetDescriptor descriptor,
               boolean isDesignTime,
               Project project,
               Cls cls,
               Slot slot)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.